# Constant Field Values

## Contents

- com.google.*
- com.ocient.*

## com.google.*

com.google.protobuf.Any
Modifier and Type
Constant Field
Value
`public static final int`
`TYPE_URL_FIELD_NUMBER`
`1`
`public static final int`
`VALUE_FIELD_NUMBER`
`2`
com.google.protobuf.Api
Modifier and Type
Constant Field
Value
`public static final int`
`METHODS_FIELD_NUMBER`
`2`
`public static final int`
`MIXINS_FIELD_NUMBER`
`6`
`public static final int`
`NAME_FIELD_NUMBER`
`1`
`public static final int`
`OPTIONS_FIELD_NUMBER`
`3`
`public static final int`
`SOURCE_CONTEXT_FIELD_NUMBER`
`5`
`public static final int`
`SYNTAX_FIELD_NUMBER`
`7`
`public static final int`
`VERSION_FIELD_NUMBER`
`4`
com.google.protobuf.BoolValue
Modifier and Type
Constant Field
Value
`public static final int`
`VALUE_FIELD_NUMBER`
`1`
com.google.protobuf.BytesValue
Modifier and Type
Constant Field
Value
`public static final int`
`VALUE_FIELD_NUMBER`
`1`
com.google.protobuf.CodedOutputStream
Modifier and Type
Constant Field
Value
`public static final int`
`DEFAULT_BUFFER_SIZE`
`4096`
`public static final int`
`LITTLE_ENDIAN_32_SIZE`
`4`
com.google.protobuf.DescriptorProtos.DescriptorProto
Modifier and Type
Constant Field
Value
`public static final int`
`ENUM_TYPE_FIELD_NUMBER`
`4`
`public static final int`
`EXTENSION_FIELD_NUMBER`
`6`
`public static final int`
`EXTENSION_RANGE_FIELD_NUMBER`
`5`
`public static final int`
`FIELD_FIELD_NUMBER`
`2`
`public static final int`
`NAME_FIELD_NUMBER`
`1`
`public static final int`
`NESTED_TYPE_FIELD_NUMBER`
`3`
`public static final int`
`ONEOF_DECL_FIELD_NUMBER`
`8`
`public static final int`
`OPTIONS_FIELD_NUMBER`
`7`
`public static final int`
`RESERVED_NAME_FIELD_NUMBER`
`10`
`public static final int`
`RESERVED_RANGE_FIELD_NUMBER`
`9`
com.google.protobuf.DescriptorProtos.DescriptorProto.ExtensionRange
Modifier and Type
Constant Field
Value
`public static final int`
`END_FIELD_NUMBER`
`2`
`public static final int`
`OPTIONS_FIELD_NUMBER`
`3`
`public static final int`
`START_FIELD_NUMBER`
`1`
com.google.protobuf.DescriptorProtos.DescriptorProto.ReservedRange
Modifier and Type
Constant Field
Value
`public static final int`
`END_FIELD_NUMBER`
`2`
`public static final int`
`START_FIELD_NUMBER`
`1`
com.google.protobuf.DescriptorProtos.Edition
Modifier and Type
Constant Field
Value
`public static final int`
`EDITION_1_TEST_ONLY_VALUE`
`1`
`public static final int`
`EDITION_2_TEST_ONLY_VALUE`
`2`
`public static final int`
`EDITION_2023_VALUE`
`1000`
`public static final int`
`EDITION_2024_VALUE`
`1001`
`public static final int`
`EDITION_99997_TEST_ONLY_VALUE`
`99997`
`public static final int`
`EDITION_99998_TEST_ONLY_VALUE`
`99998`
`public static final int`
`EDITION_99999_TEST_ONLY_VALUE`
`99999`
`public static final int`
`EDITION_LEGACY_VALUE`
`900`
`public static final int`
`EDITION_MAX_VALUE`
`2147483647`
`public static final int`
`EDITION_PROTO2_VALUE`
`998`
`public static final int`
`EDITION_PROTO3_VALUE`
`999`
`public static final int`
`EDITION_UNKNOWN_VALUE`
`0`
com.google.protobuf.DescriptorProtos.EnumDescriptorProto
Modifier and Type
Constant Field
Value
`public static final int`
`NAME_FIELD_NUMBER`
`1`
`public static final int`
`OPTIONS_FIELD_NUMBER`
`3`
`public static final int`
`RESERVED_NAME_FIELD_NUMBER`
`5`
`public static final int`
`RESERVED_RANGE_FIELD_NUMBER`
`4`
`public static final int`
`VALUE_FIELD_NUMBER`
`2`
com.google.protobuf.DescriptorProtos.EnumDescriptorProto.EnumReservedRange
Modifier and Type
Constant Field
Value
`public static final int`
`END_FIELD_NUMBER`
`2`
`public static final int`
`START_FIELD_NUMBER`
`1`
com.google.protobuf.DescriptorProtos.EnumOptions
Modifier and Type
Constant Field
Value
`public static final int`
`ALLOW_ALIAS_FIELD_NUMBER`
`2`
`public static final int`
`DEPRECATED_FIELD_NUMBER`
`3`
`public static final int`
`DEPRECATED_LEGACY_JSON_FIELD_CONFLICTS_FIELD_NUMBER`
`6`
`public static final int`
`FEATURES_FIELD_NUMBER`
`7`
`public static final int`
`UNINTERPRETED_OPTION_FIELD_NUMBER`
`999`
com.google.protobuf.DescriptorProtos.EnumValueDescriptorProto
Modifier and Type
Constant Field
Value
`public static final int`
`NAME_FIELD_NUMBER`
`1`
`public static final int`
`NUMBER_FIELD_NUMBER`
`2`
`public static final int`
`OPTIONS_FIELD_NUMBER`
`3`
com.google.protobuf.DescriptorProtos.EnumValueOptions
Modifier and Type
Constant Field
Value
`public static final int`
`DEBUG_REDACT_FIELD_NUMBER`
`3`
`public static final int`
`DEPRECATED_FIELD_NUMBER`
`1`
`public static final int`
`FEATURE_SUPPORT_FIELD_NUMBER`
`4`
`public static final int`
`FEATURES_FIELD_NUMBER`
`2`
`public static final int`
`UNINTERPRETED_OPTION_FIELD_NUMBER`
`999`
com.google.protobuf.DescriptorProtos.ExtensionRangeOptions
Modifier and Type
Constant Field
Value
`public static final int`
`DECLARATION_FIELD_NUMBER`
`2`
`public static final int`
`FEATURES_FIELD_NUMBER`
`50`
`public static final int`
`UNINTERPRETED_OPTION_FIELD_NUMBER`
`999`
`public static final int`
`VERIFICATION_FIELD_NUMBER`
`3`
com.google.protobuf.DescriptorProtos.ExtensionRangeOptions.Declaration
Modifier and Type
Constant Field
Value
`public static final int`
`FULL_NAME_FIELD_NUMBER`
`2`
`public static final int`
`NUMBER_FIELD_NUMBER`
`1`
`public static final int`
`REPEATED_FIELD_NUMBER`
`6`
`public static final int`
`RESERVED_FIELD_NUMBER`
`5`
`public static final int`
`TYPE_FIELD_NUMBER`
`3`
com.google.protobuf.DescriptorProtos.ExtensionRangeOptions.VerificationState
Modifier and Type
Constant Field
Value
`public static final int`
`DECLARATION_VALUE`
`0`
`public static final int`
`UNVERIFIED_VALUE`
`1`
com.google.protobuf.DescriptorProtos.FeatureSet
Modifier and Type
Constant Field
Value
`public static final int`
`ENUM_TYPE_FIELD_NUMBER`
`2`
`public static final int`
`FIELD_PRESENCE_FIELD_NUMBER`
`1`
`public static final int`
`JSON_FORMAT_FIELD_NUMBER`
`6`
`public static final int`
`MESSAGE_ENCODING_FIELD_NUMBER`
`5`
`public static final int`
`REPEATED_FIELD_ENCODING_FIELD_NUMBER`
`3`
`public static final int`
`UTF8_VALIDATION_FIELD_NUMBER`
`4`
com.google.protobuf.DescriptorProtos.FeatureSet.EnumType
Modifier and Type
Constant Field
Value
`public static final int`
`CLOSED_VALUE`
`2`
`public static final int`
`ENUM_TYPE_UNKNOWN_VALUE`
`0`
`public static final int`
`OPEN_VALUE`
`1`
com.google.protobuf.DescriptorProtos.FeatureSet.FieldPresence
Modifier and Type
Constant Field
Value
`public static final int`
`EXPLICIT_VALUE`
`1`
`public static final int`
`FIELD_PRESENCE_UNKNOWN_VALUE`
`0`
`public static final int`
`IMPLICIT_VALUE`
`2`
`public static final int`
`LEGACY_REQUIRED_VALUE`
`3`
com.google.protobuf.DescriptorProtos.FeatureSet.JsonFormat
Modifier and Type
Constant Field
Value
`public static final int`
`ALLOW_VALUE`
`1`
`public static final int`
`JSON_FORMAT_UNKNOWN_VALUE`
`0`
`public static final int`
`LEGACY_BEST_EFFORT_VALUE`
`2`
com.google.protobuf.DescriptorProtos.FeatureSet.MessageEncoding
Modifier and Type
Constant Field
Value
`public static final int`
`DELIMITED_VALUE`
`2`
`public static final int`
`LENGTH_PREFIXED_VALUE`
`1`
`public static final int`
`MESSAGE_ENCODING_UNKNOWN_VALUE`
`0`
com.google.protobuf.DescriptorProtos.FeatureSet.RepeatedFieldEncoding
Modifier and Type
Constant Field
Value
`public static final int`
`EXPANDED_VALUE`
`2`
`public static final int`
`PACKED_VALUE`
`1`
`public static final int`
`REPEATED_FIELD_ENCODING_UNKNOWN_VALUE`
`0`
com.google.protobuf.DescriptorProtos.FeatureSet.Utf8Validation
Modifier and Type
Constant Field
Value
`public static final int`
`NONE_VALUE`
`3`
`public static final int`
`UTF8_VALIDATION_UNKNOWN_VALUE`
`0`
`public static final int`
`VERIFY_VALUE`
`2`
com.google.protobuf.DescriptorProtos.FeatureSetDefaults
Modifier and Type
Constant Field
Value
`public static final int`
`DEFAULTS_FIELD_NUMBER`
`1`
`public static final int`
`MAXIMUM_EDITION_FIELD_NUMBER`
`5`
`public static final int`
`MINIMUM_EDITION_FIELD_NUMBER`
`4`
com.google.protobuf.DescriptorProtos.FeatureSetDefaults.FeatureSetEditionDefault
Modifier and Type
Constant Field
Value
`public static final int`
`EDITION_FIELD_NUMBER`
`3`
`public static final int`
`FIXED_FEATURES_FIELD_NUMBER`
`5`
`public static final int`
`OVERRIDABLE_FEATURES_FIELD_NUMBER`
`4`
com.google.protobuf.DescriptorProtos.FieldDescriptorProto
Modifier and Type
Constant Field
Value
`public static final int`
`DEFAULT_VALUE_FIELD_NUMBER`
`7`
`public static final int`
`EXTENDEE_FIELD_NUMBER`
`2`
`public static final int`
`JSON_NAME_FIELD_NUMBER`
`10`
`public static final int`
`LABEL_FIELD_NUMBER`
`4`
`public static final int`
`NAME_FIELD_NUMBER`
`1`
`public static final int`
`NUMBER_FIELD_NUMBER`
`3`
`public static final int`
`ONEOF_INDEX_FIELD_NUMBER`
`9`
`public static final int`
`OPTIONS_FIELD_NUMBER`
`8`
`public static final int`
`PROTO3_OPTIONAL_FIELD_NUMBER`
`17`
`public static final int`
`TYPE_FIELD_NUMBER`
`5`
`public static final int`
`TYPE_NAME_FIELD_NUMBER`
`6`
com.google.protobuf.DescriptorProtos.FieldDescriptorProto.Label
Modifier and Type
Constant Field
Value
`public static final int`
`LABEL_OPTIONAL_VALUE`
`1`
`public static final int`
`LABEL_REPEATED_VALUE`
`3`
`public static final int`
`LABEL_REQUIRED_VALUE`
`2`
com.google.protobuf.DescriptorProtos.FieldDescriptorProto.Type
Modifier and Type
Constant Field
Value
`public static final int`
`TYPE_BOOL_VALUE`
`8`
`public static final int`
`TYPE_BYTES_VALUE`
`12`
`public static final int`
`TYPE_DOUBLE_VALUE`
`1`
`public static final int`
`TYPE_ENUM_VALUE`
`14`
`public static final int`
`TYPE_FIXED32_VALUE`
`7`
`public static final int`
`TYPE_FIXED64_VALUE`
`6`
`public static final int`
`TYPE_FLOAT_VALUE`
`2`
`public static final int`
`TYPE_GROUP_VALUE`
`10`
`public static final int`
`TYPE_INT32_VALUE`
`5`
`public static final int`
`TYPE_INT64_VALUE`
`3`
`public static final int`
`TYPE_MESSAGE_VALUE`
`11`
`public static final int`
`TYPE_SFIXED32_VALUE`
`15`
`public static final int`
`TYPE_SFIXED64_VALUE`
`16`
`public static final int`
`TYPE_SINT32_VALUE`
`17`
`public static final int`
`TYPE_SINT64_VALUE`
`18`
`public static final int`
`TYPE_STRING_VALUE`
`9`
`public static final int`
`TYPE_UINT32_VALUE`
`13`
`public static final int`
`TYPE_UINT64_VALUE`
`4`
com.google.protobuf.DescriptorProtos.FieldOptions
Modifier and Type
Constant Field
Value
`public static final int`
`CTYPE_FIELD_NUMBER`
`1`
`public static final int`
`DEBUG_REDACT_FIELD_NUMBER`
`16`
`public static final int`
`DEPRECATED_FIELD_NUMBER`
`3`
`public static final int`
`EDITION_DEFAULTS_FIELD_NUMBER`
`20`
`public static final int`
`FEATURE_SUPPORT_FIELD_NUMBER`
`22`
`public static final int`
`FEATURES_FIELD_NUMBER`
`21`
`public static final int`
`JSTYPE_FIELD_NUMBER`
`6`
`public static final int`
`LAZY_FIELD_NUMBER`
`5`
`public static final int`
`PACKED_FIELD_NUMBER`
`2`
`public static final int`
`RETENTION_FIELD_NUMBER`
`17`
`public static final int`
`TARGETS_FIELD_NUMBER`
`19`
`public static final int`
`UNINTERPRETED_OPTION_FIELD_NUMBER`
`999`
`public static final int`
`UNVERIFIED_LAZY_FIELD_NUMBER`
`15`
`public static final int`
`WEAK_FIELD_NUMBER`
`10`
com.google.protobuf.DescriptorProtos.FieldOptions.CType
Modifier and Type
Constant Field
Value
`public static final int`
`CORD_VALUE`
`1`
`public static final int`
`STRING_PIECE_VALUE`
`2`
`public static final int`
`STRING_VALUE`
`0`
com.google.protobuf.DescriptorProtos.FieldOptions.EditionDefault
Modifier and Type
Constant Field
Value
`public static final int`
`EDITION_FIELD_NUMBER`
`3`
`public static final int`
`VALUE_FIELD_NUMBER`
`2`
com.google.protobuf.DescriptorProtos.FieldOptions.FeatureSupport
Modifier and Type
Constant Field
Value
`public static final int`
`DEPRECATION_WARNING_FIELD_NUMBER`
`3`
`public static final int`
`EDITION_DEPRECATED_FIELD_NUMBER`
`2`
`public static final int`
`EDITION_INTRODUCED_FIELD_NUMBER`
`1`
`public static final int`
`EDITION_REMOVED_FIELD_NUMBER`
`4`
com.google.protobuf.DescriptorProtos.FieldOptions.JSType
Modifier and Type
Constant Field
Value
`public static final int`
`JS_NORMAL_VALUE`
`0`
`public static final int`
`JS_NUMBER_VALUE`
`2`
`public static final int`
`JS_STRING_VALUE`
`1`
com.google.protobuf.DescriptorProtos.FieldOptions.OptionRetention
Modifier and Type
Constant Field
Value
`public static final int`
`RETENTION_RUNTIME_VALUE`
`1`
`public static final int`
`RETENTION_SOURCE_VALUE`
`2`
`public static final int`
`RETENTION_UNKNOWN_VALUE`
`0`
com.google.protobuf.DescriptorProtos.FieldOptions.OptionTargetType
Modifier and Type
Constant Field
Value
`public static final int`
`TARGET_TYPE_ENUM_ENTRY_VALUE`
`7`
`public static final int`
`TARGET_TYPE_ENUM_VALUE`
`6`
`public static final int`
`TARGET_TYPE_EXTENSION_RANGE_VALUE`
`2`
`public static final int`
`TARGET_TYPE_FIELD_VALUE`
`4`
`public static final int`
`TARGET_TYPE_FILE_VALUE`
`1`
`public static final int`
`TARGET_TYPE_MESSAGE_VALUE`
`3`
`public static final int`
`TARGET_TYPE_METHOD_VALUE`
`9`
`public static final int`
`TARGET_TYPE_ONEOF_VALUE`
`5`
`public static final int`
`TARGET_TYPE_SERVICE_VALUE`
`8`
`public static final int`
`TARGET_TYPE_UNKNOWN_VALUE`
`0`
com.google.protobuf.DescriptorProtos.FileDescriptorProto
Modifier and Type
Constant Field
Value
`public static final int`
`DEPENDENCY_FIELD_NUMBER`
`3`
`public static final int`
`EDITION_FIELD_NUMBER`
`14`
`public static final int`
`ENUM_TYPE_FIELD_NUMBER`
`5`
`public static final int`
`EXTENSION_FIELD_NUMBER`
`7`
`public static final int`
`MESSAGE_TYPE_FIELD_NUMBER`
`4`
`public static final int`
`NAME_FIELD_NUMBER`
`1`
`public static final int`
`OPTIONS_FIELD_NUMBER`
`8`
`public static final int`
`PACKAGE_FIELD_NUMBER`
`2`
`public static final int`
`PUBLIC_DEPENDENCY_FIELD_NUMBER`
`10`
`public static final int`
`SERVICE_FIELD_NUMBER`
`6`
`public static final int`
`SOURCE_CODE_INFO_FIELD_NUMBER`
`9`
`public static final int`
`SYNTAX_FIELD_NUMBER`
`12`
`public static final int`
`WEAK_DEPENDENCY_FIELD_NUMBER`
`11`
com.google.protobuf.DescriptorProtos.FileDescriptorSet
Modifier and Type
Constant Field
Value
`public static final int`
`FILE_FIELD_NUMBER`
`1`
com.google.protobuf.DescriptorProtos.FileOptions
Modifier and Type
Constant Field
Value
`public static final int`
`CC_ENABLE_ARENAS_FIELD_NUMBER`
`31`
`public static final int`
`CC_GENERIC_SERVICES_FIELD_NUMBER`
`16`
`public static final int`
`CSHARP_NAMESPACE_FIELD_NUMBER`
`37`
`public static final int`
`DEPRECATED_FIELD_NUMBER`
`23`
`public static final int`
`FEATURES_FIELD_NUMBER`
`50`
`public static final int`
`GO_PACKAGE_FIELD_NUMBER`
`11`
`public static final int`
`JAVA_GENERATE_EQUALS_AND_HASH_FIELD_NUMBER`
`20`
`public static final int`
`JAVA_GENERIC_SERVICES_FIELD_NUMBER`
`17`
`public static final int`
`JAVA_MULTIPLE_FILES_FIELD_NUMBER`
`10`
`public static final int`
`JAVA_OUTER_CLASSNAME_FIELD_NUMBER`
`8`
`public static final int`
`JAVA_PACKAGE_FIELD_NUMBER`
`1`
`public static final int`
`JAVA_STRING_CHECK_UTF8_FIELD_NUMBER`
`27`
`public static final int`
`OBJC_CLASS_PREFIX_FIELD_NUMBER`
`36`
`public static final int`
`OPTIMIZE_FOR_FIELD_NUMBER`
`9`
`public static final int`
`PHP_CLASS_PREFIX_FIELD_NUMBER`
`40`
`public static final int`
`PHP_METADATA_NAMESPACE_FIELD_NUMBER`
`44`
`public static final int`
`PHP_NAMESPACE_FIELD_NUMBER`
`41`
`public static final int`
`PY_GENERIC_SERVICES_FIELD_NUMBER`
`18`
`public static final int`
`RUBY_PACKAGE_FIELD_NUMBER`
`45`
`public static final int`
`SWIFT_PREFIX_FIELD_NUMBER`
`39`
`public static final int`
`UNINTERPRETED_OPTION_FIELD_NUMBER`
`999`
com.google.protobuf.DescriptorProtos.FileOptions.OptimizeMode
Modifier and Type
Constant Field
Value
`public static final int`
`CODE_SIZE_VALUE`
`2`
`public static final int`
`LITE_RUNTIME_VALUE`
`3`
`public static final int`
`SPEED_VALUE`
`1`
com.google.protobuf.DescriptorProtos.GeneratedCodeInfo
Modifier and Type
Constant Field
Value
`public static final int`
`ANNOTATION_FIELD_NUMBER`
`1`
com.google.protobuf.DescriptorProtos.GeneratedCodeInfo.Annotation
Modifier and Type
Constant Field
Value
`public static final int`
`BEGIN_FIELD_NUMBER`
`3`
`public static final int`
`END_FIELD_NUMBER`
`4`
`public static final int`
`PATH_FIELD_NUMBER`
`1`
`public static final int`
`SEMANTIC_FIELD_NUMBER`
`5`
`public static final int`
`SOURCE_FILE_FIELD_NUMBER`
`2`
com.google.protobuf.DescriptorProtos.GeneratedCodeInfo.Annotation.Semantic
Modifier and Type
Constant Field
Value
`public static final int`
`ALIAS_VALUE`
`2`
`public static final int`
`NONE_VALUE`
`0`
`public static final int`
`SET_VALUE`
`1`
com.google.protobuf.DescriptorProtos.MessageOptions
Modifier and Type
Constant Field
Value
`public static final int`
`DEPRECATED_FIELD_NUMBER`
`3`
`public static final int`
`DEPRECATED_LEGACY_JSON_FIELD_CONFLICTS_FIELD_NUMBER`
`11`
`public static final int`
`FEATURES_FIELD_NUMBER`
`12`
`public static final int`
`MAP_ENTRY_FIELD_NUMBER`
`7`
`public static final int`
`MESSAGE_SET_WIRE_FORMAT_FIELD_NUMBER`
`1`
`public static final int`
`NO_STANDARD_DESCRIPTOR_ACCESSOR_FIELD_NUMBER`
`2`
`public static final int`
`UNINTERPRETED_OPTION_FIELD_NUMBER`
`999`
com.google.protobuf.DescriptorProtos.MethodDescriptorProto
Modifier and Type
Constant Field
Value
`public static final int`
`CLIENT_STREAMING_FIELD_NUMBER`
`5`
`public static final int`
`INPUT_TYPE_FIELD_NUMBER`
`2`
`public static final int`
`NAME_FIELD_NUMBER`
`1`
`public static final int`
`OPTIONS_FIELD_NUMBER`
`4`
`public static final int`
`OUTPUT_TYPE_FIELD_NUMBER`
`3`
`public static final int`
`SERVER_STREAMING_FIELD_NUMBER`
`6`
com.google.protobuf.DescriptorProtos.MethodOptions
Modifier and Type
Constant Field
Value
`public static final int`
`DEPRECATED_FIELD_NUMBER`
`33`
`public static final int`
`FEATURES_FIELD_NUMBER`
`35`
`public static final int`
`IDEMPOTENCY_LEVEL_FIELD_NUMBER`
`34`
`public static final int`
`UNINTERPRETED_OPTION_FIELD_NUMBER`
`999`
com.google.protobuf.DescriptorProtos.MethodOptions.IdempotencyLevel
Modifier and Type
Constant Field
Value
`public static final int`
`IDEMPOTENCY_UNKNOWN_VALUE`
`0`
`public static final int`
`IDEMPOTENT_VALUE`
`2`
`public static final int`
`NO_SIDE_EFFECTS_VALUE`
`1`
com.google.protobuf.DescriptorProtos.OneofDescriptorProto
Modifier and Type
Constant Field
Value
`public static final int`
`NAME_FIELD_NUMBER`
`1`
`public static final int`
`OPTIONS_FIELD_NUMBER`
`2`
com.google.protobuf.DescriptorProtos.OneofOptions
Modifier and Type
Constant Field
Value
`public static final int`
`FEATURES_FIELD_NUMBER`
`1`
`public static final int`
`UNINTERPRETED_OPTION_FIELD_NUMBER`
`999`
com.google.protobuf.DescriptorProtos.ServiceDescriptorProto
Modifier and Type
Constant Field
Value
`public static final int`
`METHOD_FIELD_NUMBER`
`2`
`public static final int`
`NAME_FIELD_NUMBER`
`1`
`public static final int`
`OPTIONS_FIELD_NUMBER`
`3`
com.google.protobuf.DescriptorProtos.ServiceOptions
Modifier and Type
Constant Field
Value
`public static final int`
`DEPRECATED_FIELD_NUMBER`
`33`
`public static final int`
`FEATURES_FIELD_NUMBER`
`34`
`public static final int`
`UNINTERPRETED_OPTION_FIELD_NUMBER`
`999`
com.google.protobuf.DescriptorProtos.SourceCodeInfo
Modifier and Type
Constant Field
Value
`public static final int`
`LOCATION_FIELD_NUMBER`
`1`
com.google.protobuf.DescriptorProtos.SourceCodeInfo.Location
Modifier and Type
Constant Field
Value
`public static final int`
`LEADING_COMMENTS_FIELD_NUMBER`
`3`
`public static final int`
`LEADING_DETACHED_COMMENTS_FIELD_NUMBER`
`6`
`public static final int`
`PATH_FIELD_NUMBER`
`1`
`public static final int`
`SPAN_FIELD_NUMBER`
`2`
`public static final int`
`TRAILING_COMMENTS_FIELD_NUMBER`
`4`
com.google.protobuf.DescriptorProtos.UninterpretedOption
Modifier and Type
Constant Field
Value
`public static final int`
`AGGREGATE_VALUE_FIELD_NUMBER`
`8`
`public static final int`
`DOUBLE_VALUE_FIELD_NUMBER`
`6`
`public static final int`
`IDENTIFIER_VALUE_FIELD_NUMBER`
`3`
`public static final int`
`NAME_FIELD_NUMBER`
`2`
`public static final int`
`NEGATIVE_INT_VALUE_FIELD_NUMBER`
`5`
`public static final int`
`POSITIVE_INT_VALUE_FIELD_NUMBER`
`4`
`public static final int`
`STRING_VALUE_FIELD_NUMBER`
`7`
com.google.protobuf.DescriptorProtos.UninterpretedOption.NamePart
Modifier and Type
Constant Field
Value
`public static final int`
`IS_EXTENSION_FIELD_NUMBER`
`2`
`public static final int`
`NAME_PART_FIELD_NUMBER`
`1`
com.google.protobuf.DoubleValue
Modifier and Type
Constant Field
Value
`public static final int`
`VALUE_FIELD_NUMBER`
`1`
com.google.protobuf.Duration
Modifier and Type
Constant Field
Value
`public static final int`
`NANOS_FIELD_NUMBER`
`2`
`public static final int`
`SECONDS_FIELD_NUMBER`
`1`
com.google.protobuf.Enum
Modifier and Type
Constant Field
Value
`public static final int`
`EDITION_FIELD_NUMBER`
`6`
`public static final int`
`ENUMVALUE_FIELD_NUMBER`
`2`
`public static final int`
`NAME_FIELD_NUMBER`
`1`
`public static final int`
`OPTIONS_FIELD_NUMBER`
`3`
`public static final int`
`SOURCE_CONTEXT_FIELD_NUMBER`
`4`
`public static final int`
`SYNTAX_FIELD_NUMBER`
`5`
com.google.protobuf.EnumValue
Modifier and Type
Constant Field
Value
`public static final int`
`NAME_FIELD_NUMBER`
`1`
`public static final int`
`NUMBER_FIELD_NUMBER`
`2`
`public static final int`
`OPTIONS_FIELD_NUMBER`
`3`
com.google.protobuf.Field
Modifier and Type
Constant Field
Value
`public static final int`
`CARDINALITY_FIELD_NUMBER`
`2`
`public static final int`
`DEFAULT_VALUE_FIELD_NUMBER`
`11`
`public static final int`
`JSON_NAME_FIELD_NUMBER`
`10`
`public static final int`
`KIND_FIELD_NUMBER`
`1`
`public static final int`
`NAME_FIELD_NUMBER`
`4`
`public static final int`
`NUMBER_FIELD_NUMBER`
`3`
`public static final int`
`ONEOF_INDEX_FIELD_NUMBER`
`7`
`public static final int`
`OPTIONS_FIELD_NUMBER`
`9`
`public static final int`
`PACKED_FIELD_NUMBER`
`8`
`public static final int`
`TYPE_URL_FIELD_NUMBER`
`6`
com.google.protobuf.Field.Cardinality
Modifier and Type
Constant Field
Value
`public static final int`
`CARDINALITY_OPTIONAL_VALUE`
`1`
`public static final int`
`CARDINALITY_REPEATED_VALUE`
`3`
`public static final int`
`CARDINALITY_REQUIRED_VALUE`
`2`
`public static final int`
`CARDINALITY_UNKNOWN_VALUE`
`0`
com.google.protobuf.Field.Kind
Modifier and Type
Constant Field
Value
`public static final int`
`TYPE_BOOL_VALUE`
`8`
`public static final int`
`TYPE_BYTES_VALUE`
`12`
`public static final int`
`TYPE_DOUBLE_VALUE`
`1`
`public static final int`
`TYPE_ENUM_VALUE`
`14`
`public static final int`
`TYPE_FIXED32_VALUE`
`7`
`public static final int`
`TYPE_FIXED64_VALUE`
`6`
`public static final int`
`TYPE_FLOAT_VALUE`
`2`
`public static final int`
`TYPE_GROUP_VALUE`
`10`
`public static final int`
`TYPE_INT32_VALUE`
`5`
`public static final int`
`TYPE_INT64_VALUE`
`3`
`public static final int`
`TYPE_MESSAGE_VALUE`
`11`
`public static final int`
`TYPE_SFIXED32_VALUE`
`15`
`public static final int`
`TYPE_SFIXED64_VALUE`
`16`
`public static final int`
`TYPE_SINT32_VALUE`
`17`
`public static final int`
`TYPE_SINT64_VALUE`
`18`
`public static final int`
`TYPE_STRING_VALUE`
`9`
`public static final int`
`TYPE_UINT32_VALUE`
`13`
`public static final int`
`TYPE_UINT64_VALUE`
`4`
`public static final int`
`TYPE_UNKNOWN_VALUE`
`0`
com.google.protobuf.FieldMask
Modifier and Type
Constant Field
Value
`public static final int`
`PATHS_FIELD_NUMBER`
`1`
com.google.protobuf.FloatValue
Modifier and Type
Constant Field
Value
`public static final int`
`VALUE_FIELD_NUMBER`
`1`
com.google.protobuf.Int32Value
Modifier and Type
Constant Field
Value
`public static final int`
`VALUE_FIELD_NUMBER`
`1`
com.google.protobuf.Int64Value
Modifier and Type
Constant Field
Value
`public static final int`
`VALUE_FIELD_NUMBER`
`1`
com.google.protobuf.JavaEditionDefaults
Modifier and Type
Constant Field
Value
`public static final String`
`PROTOBUF_INTERNAL_JAVA_EDITION_DEFAULTS`
`"\n\u001d\u0018\u0084\u0007\"\u0003\u00ca>\u0000*\u0013\b\u0001\u0010\u0002\u0018\u0002 \u0003(\u00010\u0002\u00ca>\u0004\b\u0001\u0010\u0001\n\u001d\u0018\u00e7\u0007\"\u0003\u00ca>\u0000*\u0013\b\u0002\u0010\u0001\u0018\u0001 \u0002(\u00010\u0001\u00ca>\u0004\b\u0000\u0010\u0001\n\u001d\u0018\u00e8\u0007\"\u0013\b\u0001\u0010\u0001\u0018\u0001 \u0002(\u00010\u0001\u00ca>\u0004\b\u0000\u0010\u0001*\u0003\u00ca>\u0000 \u00e6\u0007(\u00e8\u0007"`
com.google.protobuf.JavaFeaturesProto
Modifier and Type
Constant Field
Value
`public static final int`
`JAVA_FIELD_NUMBER`
`1001`
com.google.protobuf.JavaFeaturesProto.JavaFeatures
Modifier and Type
Constant Field
Value
`public static final int`
`LEGACY_CLOSED_ENUM_FIELD_NUMBER`
`1`
`public static final int`
`UTF8_VALIDATION_FIELD_NUMBER`
`2`
com.google.protobuf.JavaFeaturesProto.JavaFeatures.Utf8Validation
Modifier and Type
Constant Field
Value
`public static final int`
`DEFAULT_VALUE`
`1`
`public static final int`
`UTF8_VALIDATION_UNKNOWN_VALUE`
`0`
`public static final int`
`VERIFY_VALUE`
`2`
com.google.protobuf.LazyStringArrayList
Modifier and Type
Constant Field
Value
`protected static final int`
`DEFAULT_CAPACITY`
`10`
com.google.protobuf.ListValue
Modifier and Type
Constant Field
Value
`public static final int`
`VALUES_FIELD_NUMBER`
`1`
com.google.protobuf.Method
Modifier and Type
Constant Field
Value
`public static final int`
`NAME_FIELD_NUMBER`
`1`
`public static final int`
`OPTIONS_FIELD_NUMBER`
`6`
`public static final int`
`REQUEST_STREAMING_FIELD_NUMBER`
`3`
`public static final int`
`REQUEST_TYPE_URL_FIELD_NUMBER`
`2`
`public static final int`
`RESPONSE_STREAMING_FIELD_NUMBER`
`5`
`public static final int`
`RESPONSE_TYPE_URL_FIELD_NUMBER`
`4`
`public static final int`
`SYNTAX_FIELD_NUMBER`
`7`
com.google.protobuf.Mixin
Modifier and Type
Constant Field
Value
`public static final int`
`NAME_FIELD_NUMBER`
`1`
`public static final int`
`ROOT_FIELD_NUMBER`
`2`
com.google.protobuf.NullValue
Modifier and Type
Constant Field
Value
`public static final int`
`NULL_VALUE_VALUE`
`0`
com.google.protobuf.Option
Modifier and Type
Constant Field
Value
`public static final int`
`NAME_FIELD_NUMBER`
`1`
`public static final int`
`VALUE_FIELD_NUMBER`
`2`
com.google.protobuf.RuntimeVersion
Modifier and Type
Constant Field
Value
`public static final int`
`MAJOR`
`4`
`public static final int`
`MINOR`
`29`
`public static final int`
`OSS_MAJOR`
`4`
`public static final int`
`OSS_MINOR`
`29`
`public static final int`
`OSS_PATCH`
`2`
`public static final String`
`OSS_SUFFIX`
`""`
`public static final int`
`PATCH`
`2`
`public static final String`
`SUFFIX`
`""`
com.google.protobuf.SourceContext
Modifier and Type
Constant Field
Value
`public static final int`
`FILE_NAME_FIELD_NUMBER`
`1`
com.google.protobuf.StringValue
Modifier and Type
Constant Field
Value
`public static final int`
`VALUE_FIELD_NUMBER`
`1`
com.google.protobuf.Struct
Modifier and Type
Constant Field
Value
`public static final int`
`FIELDS_FIELD_NUMBER`
`1`
com.google.protobuf.Syntax
Modifier and Type
Constant Field
Value
`public static final int`
`SYNTAX_EDITIONS_VALUE`
`2`
`public static final int`
`SYNTAX_PROTO2_VALUE`
`0`
`public static final int`
`SYNTAX_PROTO3_VALUE`
`1`
com.google.protobuf.Timestamp
Modifier and Type
Constant Field
Value
`public static final int`
`NANOS_FIELD_NUMBER`
`2`
`public static final int`
`SECONDS_FIELD_NUMBER`
`1`
com.google.protobuf.Type
Modifier and Type
Constant Field
Value
`public static final int`
`EDITION_FIELD_NUMBER`
`7`
`public static final int`
`FIELDS_FIELD_NUMBER`
`2`
`public static final int`
`NAME_FIELD_NUMBER`
`1`
`public static final int`
`ONEOFS_FIELD_NUMBER`
`3`
`public static final int`
`OPTIONS_FIELD_NUMBER`
`4`
`public static final int`
`SOURCE_CONTEXT_FIELD_NUMBER`
`5`
`public static final int`
`SYNTAX_FIELD_NUMBER`
`6`
com.google.protobuf.UInt32Value
Modifier and Type
Constant Field
Value
`public static final int`
`VALUE_FIELD_NUMBER`
`1`
com.google.protobuf.UInt64Value
Modifier and Type
Constant Field
Value
`public static final int`
`VALUE_FIELD_NUMBER`
`1`
com.google.protobuf.Value
Modifier and Type
Constant Field
Value
`public static final int`
`BOOL_VALUE_FIELD_NUMBER`
`4`
`public static final int`
`LIST_VALUE_FIELD_NUMBER`
`6`
`public static final int`
`NULL_VALUE_FIELD_NUMBER`
`1`
`public static final int`
`NUMBER_VALUE_FIELD_NUMBER`
`2`
`public static final int`
`STRING_VALUE_FIELD_NUMBER`
`3`
`public static final int`
`STRUCT_VALUE_FIELD_NUMBER`
`5`
com.google.protobuf.WireFormat
Modifier and Type
Constant Field
Value
`public static final int`
`WIRETYPE_END_GROUP`
`4`
`public static final int`
`WIRETYPE_FIXED32`
`5`
`public static final int`
`WIRETYPE_FIXED64`
`1`
`public static final int`
`WIRETYPE_LENGTH_DELIMITED`
`2`
`public static final int`
`WIRETYPE_START_GROUP`
`3`
`public static final int`
`WIRETYPE_VARINT`
`0`

com.google.protobuf.compiler.PluginProtos.CodeGeneratorRequest
Modifier and Type
Constant Field
Value
`public static final int`
`COMPILER_VERSION_FIELD_NUMBER`
`3`
`public static final int`
`FILE_TO_GENERATE_FIELD_NUMBER`
`1`
`public static final int`
`PARAMETER_FIELD_NUMBER`
`2`
`public static final int`
`PROTO_FILE_FIELD_NUMBER`
`15`
`public static final int`
`SOURCE_FILE_DESCRIPTORS_FIELD_NUMBER`
`17`
com.google.protobuf.compiler.PluginProtos.CodeGeneratorResponse
Modifier and Type
Constant Field
Value
`public static final int`
`ERROR_FIELD_NUMBER`
`1`
`public static final int`
`FILE_FIELD_NUMBER`
`15`
`public static final int`
`MAXIMUM_EDITION_FIELD_NUMBER`
`4`
`public static final int`
`MINIMUM_EDITION_FIELD_NUMBER`
`3`
`public static final int`
`SUPPORTED_FEATURES_FIELD_NUMBER`
`2`
com.google.protobuf.compiler.PluginProtos.CodeGeneratorResponse.Feature
Modifier and Type
Constant Field
Value
`public static final int`
`FEATURE_NONE_VALUE`
`0`
`public static final int`
`FEATURE_PROTO3_OPTIONAL_VALUE`
`1`
`public static final int`
`FEATURE_SUPPORTS_EDITIONS_VALUE`
`2`
com.google.protobuf.compiler.PluginProtos.CodeGeneratorResponse.File
Modifier and Type
Constant Field
Value
`public static final int`
`CONTENT_FIELD_NUMBER`
`15`
`public static final int`
`GENERATED_CODE_INFO_FIELD_NUMBER`
`16`
`public static final int`
`INSERTION_POINT_FIELD_NUMBER`
`2`
`public static final int`
`NAME_FIELD_NUMBER`
`1`
com.google.protobuf.compiler.PluginProtos.Version
Modifier and Type
Constant Field
Value
`public static final int`
`MAJOR_FIELD_NUMBER`
`1`
`public static final int`
`MINOR_FIELD_NUMBER`
`2`
`public static final int`
`PATCH_FIELD_NUMBER`
`3`
`public static final int`
`SUFFIX_FIELD_NUMBER`
`4`

## com.ocient.*

com.ocient.auth.OpenIDAuthenticators
Modifier and Type
Constant Field
Value
`public static final int`
`DEFAULT_CODE_CALLBACK_PORT`
`7050`
`public static final String`
`DISCOVERY_DOCUMENT_PATH`
`"/.well-known/openid-configuration"`
`public static final String`
`OAUTH_DEVICE_GRANT`
`"oauthDeviceGrant"`
`public static final String`
`OAUTH_PKCE`
`"oauthPKCE"`

com.ocient.cli.extract.AsyncS3OutputStream
Modifier and Type
Constant Field
Value
`protected static final int`
`DEFAULT_BUFFER_SIZE`
`10000000`
com.ocient.cli.extract.ExtractConfiguration
Modifier and Type
Constant Field
Value
`public static final String`
`AWS_KEY_ID`
`"aws_key_id"`
`public static final String`
`AWS_SECRET_KEY`
`"aws_secret_key"`
`public static final String`
`BINARY_FORMAT`
`"binary_format"`
`public static final String`
`BUCKET`
`"bucket"`
`public static final String`
`COMPRESSION`
`"compression"`
`public static final String`
`COMPRESSION_BLOCK_SIZE`
`"compression_block_size"`
`public static final String`
`COMPRESSION_LEVEL`
`"compression_level"`
`public static final String`
`DEFAULT_AWS_KEY_ID`
`""`
`public static final String`
`DEFAULT_AWS_SECRET_KEY`
`""`
`public static final int`
`DEFAULT_COMPRESSION_BLOCK_SIZE`
`4194304`
`public static final int`
`DEFAULT_COMPRESSION_LEVEL`
`1`
`public static final char`
`DEFAULT_ESCAPE`
`'\"'`
`public static final boolean`
`DEFAULT_ESCAPE_UNQUOTED_VALUES`
`false`
`public static final String`
`DEFAULT_FIELD_DELIMITER`
`","`
`public static final char`
`DEFAULT_FIELD_OPTIONALL_ENCLOSED_BY`
`'\"'`
`public static final String`
`DEFAULT_FILE_EXTENSION`
`".csv"`
`public static final String`
`DEFAULT_FILE_PREFIX`
`"results-"`
`public static final boolean`
`DEFAULT_INPUT_ESCAPED`
`false`
`public static final String`
`DEFAULT_NULL_FORMAT`
`""`
`public static final boolean`
`DEFAULT_PATH_STYLE_ACCESS`
`true`
`public static final boolean`
`DEFAULT_QUOTE_ALL_FIELDS`
`false`
`public static final boolean`
`DEFAULT_QUOTE_ARRAY_VARCHARS`
`false`
`public static final String`
`DEFAULT_RECORD_DELIMITER`
`"\n"`
`public static final int`
`DEFAULT_S3_UPLOAD_PART_PARALLELISM`
`10`
`public static final int`
`DEFAULT_S3_UPLOAD_PART_SIZE`
`10485760`
`public static final String`
`DEFAULT_TRANSLATE_CHARACTERS_FROM`
`""`
`public static final String`
`DEFAULT_TRANSLATE_CHARACTERS_TO`
`""`
`public static final boolean`
`DEFAULT_TRIM_TRAILING_ZEROS`
`false`
`public static final String`
`ENCODING`
`"encoding"`
`public static final String`
`ENDPOINT`
`"endpoint"`
`public static final String`
`ESCAPE`
`"escape"`
`public static final String`
`ESCAPE_UNQUOTED_VALUES`
`"escape_unquoted_values"`
`public static final String`
`FIELD_DELIMITER`
`"field_delimiter"`
`public static final String`
`FIELD_OPTIONALLY_ENCLOSED_BY`
`"field_optionally_enclosed_by"`
`public static final String`
`FILE_EXTENSION`
`"file_extension"`
`public static final String`
`FILE_PREFIX`
`"file_prefix"`
`public static final String`
`FILE_TYPE`
`"file_type"`
`public static final String`
`HEADER_MODE`
`"header_mode"`
`public static final String`
`INPUT_ESCAPED`
`"input_escaped"`
`public static final String`
`LOCATION_TYPE`
`"location_type"`
`public static final String`
`MAX_ROWS_PER_FILE`
`"max_rows_per_file"`
`public static final String`
`NULL_FORMAT`
`"null_format"`
`public static final String`
`NUM_COMPRESSION_THREADS`
`"num_compression_threads"`
`public static final String`
`PATH_STYLE_ACCESS`
`"path_style_access"`
`public static final String`
`QUOTE_ALL_FIELDS`
`"quote_all_fields"`
`public static final String`
`QUOTE_ARRAY_VARCHARS`
`"quote_array_varchars"`
`public static final String`
`RECORD_DELIMITER`
`"record_delimiter"`
`public static final String`
`REGION`
`"region"`
`public static final String`
`S3_UPLOAD_PART_PARALLELISM`
`"s3_upload_part_parallelism"`
`public static final String`
`S3_UPLOAD_PART_SIZE`
`"s3_upload_part_size"`
`public static final String`
`TRANSLATE_CHARACTERS_FROM`
`"translate_characters_from"`
`public static final String`
`TRANSLATE_CHARACTERS_MODE`
`"translate_characters_mode"`
`public static final String`
`TRANSLATE_CHARACTERS_TO`
`"translate_characters_to"`
`public static final String`
`TRIM_TRAILING_ZEROS`
`"trim_trailing_zeros"`

com.ocient.jdbc.FetchSummary
Modifier and Type
Constant Field
Value
`public static final long`
`NO_SEQUENCE_NUMBER`
`0L`
com.ocient.jdbc.SQLStates
Modifier and Type
Constant Field
Value
`public static final int`
`GENERIC_EXCEPTION_CODE`
`-100`
com.ocient.jdbc.XGConnection
Modifier and Type
Constant Field
Value
`public static final String`
`DEFAULT_SCHEMA_VALUE`
`""`
`public static final String`
`OKTA_NATIVE_SSO_TOKEN_FILE_NAME`
`".ocient-okta-native-sso-token"`
com.ocient.jdbc.XGProperties
Modifier and Type
Constant Field
Value
`public static final String`
`MAX_PARALLEL_TCP_STREAMS_KEY`
`"com.ocient.jdbc.rs.max-parallel-tcp-streams"`
`public static final String`
`MAX_RESULT_SET_BUFFERS_PER_RESPONSE_KEY`
`"com.ocient.jdbc.rs.max-buffers-per-response"`
`public static final String`
`MAX_SEQUENCED_PARALLEL_TCP_STREAMS_KEY`
`"com.ocient.jdbc.rs.max-sequenced-parallel-tcp-streams"`
`public static final String`
`MIN_RESULT_SET_BUFFERS_PER_RESPONSE_KEY`
`"com.ocient.jdbc.rs.min-buffers-per-response"`
`public static final String`
`PARALLEL_TCP_STREAM_READ_AHEAD_KEY`
`"com.ocient.jdbc.rs.parallel-tcp-stream-read-ahead"`
`public static final String`
`RESULT_SET_BUFFER_QUEUE_DEPTH_KEY`
`"com.ocient.jdbc.rs.buffer-queue-depth"`
`public static final String`
`SINGLE_TCP_STREAM_READ_AHEAD_KEY`
`"com.ocient.jdbc.rs.tcp-stream-read-ahead"`

com.ocient.jdbc.proto.ClientWireProtocol.AttachToQuery
Modifier and Type
Constant Field
Value
`public static final int`
`QUERYID_FIELD_NUMBER`
`1`
com.ocient.jdbc.proto.ClientWireProtocol.Authenticator
Modifier and Type
Constant Field
Value
`public static final int`
`OPENIDAUTHENTICATOR_FIELD_NUMBER`
`1`
com.ocient.jdbc.proto.ClientWireProtocol.CancelQuery
Modifier and Type
Constant Field
Value
`public static final int`
`SQL_FIELD_NUMBER`
`1`
com.ocient.jdbc.proto.ClientWireProtocol.CancelQueryResponse
Modifier and Type
Constant Field
Value
`public static final int`
`RESPONSE_FIELD_NUMBER`
`1`
com.ocient.jdbc.proto.ClientWireProtocol.ClientConnection
Modifier and Type
Constant Field
Value
`public static final int`
`CLIENTID_FIELD_NUMBER`
`3`
`public static final int`
`DATABASE_FIELD_NUMBER`
`2`
`public static final int`
`MAJORCLIENTVERSION_FIELD_NUMBER`
`5`
`public static final int`
`MINORCLIENTVERSION_FIELD_NUMBER`
`6`
`public static final int`
`PATCHCLIENTVERSION_FIELD_NUMBER`
`8`
`public static final int`
`SESSIONID_FIELD_NUMBER`
`7`
`public static final int`
`USERID_FIELD_NUMBER`
`1`
`public static final int`
`VERSION_FIELD_NUMBER`
`4`
com.ocient.jdbc.proto.ClientWireProtocol.ClientConnection2
Modifier and Type
Constant Field
Value
`public static final int`
`CIPHER_FIELD_NUMBER`
`1`
`public static final int`
`FORCE_FIELD_NUMBER`
`2`
`public static final int`
`HMAC_FIELD_NUMBER`
`3`
`public static final int`
`PUBKEY_FIELD_NUMBER`
`4`
com.ocient.jdbc.proto.ClientWireProtocol.ClientConnection2Response
Modifier and Type
Constant Field
Value
`public static final int`
`REDIRECT_FIELD_NUMBER`
`2`
`public static final int`
`REDIRECTHOST_FIELD_NUMBER`
`3`
`public static final int`
`REDIRECTPORT_FIELD_NUMBER`
`4`
`public static final int`
`RESPONSE_FIELD_NUMBER`
`1`
`public static final int`
`SECONDARY_FIELD_NUMBER`
`6`
`public static final int`
`SECURITYTOKEN_FIELD_NUMBER`
`8`
`public static final int`
`SERVERSESSIONID_FIELD_NUMBER`
`7`
com.ocient.jdbc.proto.ClientWireProtocol.ClientConnectionGCM
Modifier and Type
Constant Field
Value
`public static final int`
`CLIENTID_FIELD_NUMBER`
`3`
`public static final int`
`DATABASE_FIELD_NUMBER`
`2`
`public static final int`
`EXPLICITSSO_FIELD_NUMBER`
`8`
`public static final int`
`IDENTITYPROVIDER_FIELD_NUMBER`
`11`
`public static final int`
`MAJORCLIENTVERSION_FIELD_NUMBER`
`5`
`public static final int`
`MINORCLIENTVERSION_FIELD_NUMBER`
`6`
`public static final int`
`PATCHCLIENTVERSION_FIELD_NUMBER`
`9`
`public static final int`
`SESSIONID_FIELD_NUMBER`
`7`
`public static final int`
`SUPPORTSSORTEDPARALLELTCPSTREAMS_FIELD_NUMBER`
`10`
`public static final int`
`USERID_FIELD_NUMBER`
`1`
`public static final int`
`VERSION_FIELD_NUMBER`
`4`
com.ocient.jdbc.proto.ClientWireProtocol.ClientConnectionGCM2
Modifier and Type
Constant Field
Value
`public static final int`
`CIPHER_FIELD_NUMBER`
`1`
`public static final int`
`EXPLICITSSO_FIELD_NUMBER`
`5`
`public static final int`
`FORCE_FIELD_NUMBER`
`2`
`public static final int`
`HMAC_FIELD_NUMBER`
`3`
`public static final int`
`PUBKEY_FIELD_NUMBER`
`4`
com.ocient.jdbc.proto.ClientWireProtocol.ClientConnectionGCM2Response
Modifier and Type
Constant Field
Value
`public static final int`
`FULLYQUALIFIEDUSERNAME_FIELD_NUMBER`
`9`
`public static final int`
`REDIRECT_FIELD_NUMBER`
`2`
`public static final int`
`REDIRECTHOST_FIELD_NUMBER`
`3`
`public static final int`
`REDIRECTPORT_FIELD_NUMBER`
`4`
`public static final int`
`RESPONSE_FIELD_NUMBER`
`1`
`public static final int`
`SECONDARY_FIELD_NUMBER`
`6`
`public static final int`
`SECURITYTOKEN_FIELD_NUMBER`
`8`
`public static final int`
`SERVERSESSIONID_FIELD_NUMBER`
`7`
`public static final int`
`SERVERVERSION_FIELD_NUMBER`
`10`
com.ocient.jdbc.proto.ClientWireProtocol.ClientConnectionGCMResponse
Modifier and Type
Constant Field
Value
`public static final int`
`IV_FIELD_NUMBER`
`2`
`public static final int`
`PUBKEY_FIELD_NUMBER`
`3`
`public static final int`
`RESPONSE_FIELD_NUMBER`
`1`
com.ocient.jdbc.proto.ClientWireProtocol.ClientConnectionRefreshSessionResponse
Modifier and Type
Constant Field
Value
`public static final int`
`RESPONSE_FIELD_NUMBER`
`1`
`public static final int`
`SESSIONINFO_FIELD_NUMBER`
`2`
com.ocient.jdbc.proto.ClientWireProtocol.ClientConnectionRefreshToken
Modifier and Type
Constant Field
Value
`public static final int`
`OLDSECURITYTOKEN_FIELD_NUMBER`
`1`
com.ocient.jdbc.proto.ClientWireProtocol.ClientConnectionRefreshTokenResponse
Modifier and Type
Constant Field
Value
`public static final int`
`NEWSECURITYTOKEN_FIELD_NUMBER`
`2`
`public static final int`
`RESPONSE_FIELD_NUMBER`
`1`
com.ocient.jdbc.proto.ClientWireProtocol.ClientConnectionResponse
Modifier and Type
Constant Field
Value
`public static final int`
`IV_FIELD_NUMBER`
`2`
`public static final int`
`PUBKEY_FIELD_NUMBER`
`3`
`public static final int`
`RESPONSE_FIELD_NUMBER`
`1`
com.ocient.jdbc.proto.ClientWireProtocol.ClientConnectionSecurityToken
Modifier and Type
Constant Field
Value
`public static final int`
`CLIENTID_FIELD_NUMBER`
`2`
`public static final int`
`DATABASE_FIELD_NUMBER`
`1`
`public static final int`
`FORCE_FIELD_NUMBER`
`10`
`public static final int`
`ISSUERFINGERPRINT_FIELD_NUMBER`
`9`
`public static final int`
`MAJORCLIENTVERSION_FIELD_NUMBER`
`4`
`public static final int`
`MINORCLIENTVERSION_FIELD_NUMBER`
`5`
`public static final int`
`PATCHCLIENTVERSION_FIELD_NUMBER`
`11`
`public static final int`
`SECURITYTOKEN_FIELD_NUMBER`
`7`
`public static final int`
`SESSIONID_FIELD_NUMBER`
`6`
`public static final int`
`SUPPORTSSORTEDPARALLELTCPSTREAMS_FIELD_NUMBER`
`12`
`public static final int`
`TOKENSIGNATURE_FIELD_NUMBER`
`8`
`public static final int`
`VERSION_FIELD_NUMBER`
`3`
com.ocient.jdbc.proto.ClientWireProtocol.ClientConnectionSecurityTokenResponse
Modifier and Type
Constant Field
Value
`public static final int`
`FULLYQUALIFIEDUSERNAME_FIELD_NUMBER`
`8`
`public static final int`
`REDIRECT_FIELD_NUMBER`
`2`
`public static final int`
`REDIRECTHOST_FIELD_NUMBER`
`3`
`public static final int`
`REDIRECTPORT_FIELD_NUMBER`
`4`
`public static final int`
`RESPONSE_FIELD_NUMBER`
`1`
`public static final int`
`SECONDARY_FIELD_NUMBER`
`6`
`public static final int`
`SERVERSESSIONID_FIELD_NUMBER`
`7`
`public static final int`
`SERVERVERSION_FIELD_NUMBER`
`9`
com.ocient.jdbc.proto.ClientWireProtocol.ClientConnectionSSO
Modifier and Type
Constant Field
Value
`public static final int`
`CLIENTID_FIELD_NUMBER`
`2`
`public static final int`
`DATABASE_FIELD_NUMBER`
`1`
`public static final int`
`MAJORCLIENTVERSION_FIELD_NUMBER`
`4`
`public static final int`
`MINORCLIENTVERSION_FIELD_NUMBER`
`5`
`public static final int`
`PATCHCLIENTVERSION_FIELD_NUMBER`
`7`
`public static final int`
`SESSIONID_FIELD_NUMBER`
`6`
`public static final int`
`VERSION_FIELD_NUMBER`
`3`
com.ocient.jdbc.proto.ClientWireProtocol.ClientConnectionSSO2
Modifier and Type
Constant Field
Value
`public static final int`
`FORCE_FIELD_NUMBER`
`2`
`public static final int`
`REQUESTID_FIELD_NUMBER`
`1`
com.ocient.jdbc.proto.ClientWireProtocol.ClientConnectionSSO2Response
Modifier and Type
Constant Field
Value
`public static final int`
`POLLINGINTERVALSECONDS_FIELD_NUMBER`
`2`
`public static final int`
`REDIRECT_FIELD_NUMBER`
`4`
`public static final int`
`REDIRECTHOST_FIELD_NUMBER`
`5`
`public static final int`
`REDIRECTPORT_FIELD_NUMBER`
`6`
`public static final int`
`RESPONSE_FIELD_NUMBER`
`1`
`public static final int`
`SECONDARY_FIELD_NUMBER`
`8`
`public static final int`
`SERVERVERSION_FIELD_NUMBER`
`9`
`public static final int`
`SESSIONINFO_FIELD_NUMBER`
`3`
com.ocient.jdbc.proto.ClientWireProtocol.ClientConnectionSSOResponse
Modifier and Type
Constant Field
Value
`public static final int`
`AUTHURL_FIELD_NUMBER`
`3`
`public static final int`
`REQUESTID_FIELD_NUMBER`
`2`
`public static final int`
`RESPONSE_FIELD_NUMBER`
`1`
com.ocient.jdbc.proto.ClientWireProtocol.CloseConnection
Modifier and Type
Constant Field
Value
`public static final int`
`ENDSESSION_FIELD_NUMBER`
`1`
com.ocient.jdbc.proto.ClientWireProtocol.ConfirmationResponse
Modifier and Type
Constant Field
Value
`public static final int`
`REASON_FIELD_NUMBER`
`2`
`public static final int`
`SHOULD_RETRY_FIELD_NUMBER`
`5`
`public static final int`
`SQL_STATE_FIELD_NUMBER`
`3`
`public static final int`
`TYPE_FIELD_NUMBER`
`1`
`public static final int`
`VENDOR_CODE_FIELD_NUMBER`
`4`
com.ocient.jdbc.proto.ClientWireProtocol.ConfirmationResponse.ResponseType
Modifier and Type
Constant Field
Value
`public static final int`
`INVALID_VALUE`
`0`
`public static final int`
`RESPONSE_ERROR_VALUE`
`3`
`public static final int`
`RESPONSE_OK_VALUE`
`1`
`public static final int`
`RESPONSE_WARN_VALUE`
`2`
com.ocient.jdbc.proto.ClientWireProtocol.ExecuteExplain
Modifier and Type
Constant Field
Value
`public static final int`
`FORCE_FIELD_NUMBER`
`2`
`public static final int`
`FORMAT_FIELD_NUMBER`
`3`
`public static final int`
`SQL_FIELD_NUMBER`
`1`
com.ocient.jdbc.proto.ClientWireProtocol.ExecuteExplainForSpark
Modifier and Type
Constant Field
Value
`public static final int`
`FORCE_FIELD_NUMBER`
`4`
`public static final int`
`PARTITIONINGPARAM_FIELD_NUMBER`
`3`
`public static final int`
`SQL_FIELD_NUMBER`
`1`
`public static final int`
`TYPE_FIELD_NUMBER`
`2`
com.ocient.jdbc.proto.ClientWireProtocol.ExecuteExplainForSpark.PartitioningType
Modifier and Type
Constant Field
Value
`public static final int`
`BY_NUMBER_VALUE`
`2`
`public static final int`
`BY_SIZE_VALUE`
`1`
`public static final int`
`INVALID_PARTITIONING_VALUE`
`0`
com.ocient.jdbc.proto.ClientWireProtocol.ExecuteExport
Modifier and Type
Constant Field
Value
`public static final int`
`FORCE_FIELD_NUMBER`
`2`
`public static final int`
`SQL_FIELD_NUMBER`
`1`
com.ocient.jdbc.proto.ClientWireProtocol.ExecuteExportResponse
Modifier and Type
Constant Field
Value
`public static final int`
`EXPORTSTATEMENT_FIELD_NUMBER`
`2`
`public static final int`
`QUERYID_FIELD_NUMBER`
`6`
`public static final int`
`REDIRECT_FIELD_NUMBER`
`3`
`public static final int`
`REDIRECTHOST_FIELD_NUMBER`
`4`
`public static final int`
`REDIRECTPORT_FIELD_NUMBER`
`5`
`public static final int`
`RESPONSE_FIELD_NUMBER`
`1`
com.ocient.jdbc.proto.ClientWireProtocol.ExecuteInlinePlan
Modifier and Type
Constant Field
Value
`public static final int`
`FORCE_FIELD_NUMBER`
`2`
`public static final int`
`SQL_FIELD_NUMBER`
`1`
com.ocient.jdbc.proto.ClientWireProtocol.ExecutePlan
Modifier and Type
Constant Field
Value
`public static final int`
`FORCE_FIELD_NUMBER`
`2`
`public static final int`
`SQL_FIELD_NUMBER`
`1`
com.ocient.jdbc.proto.ClientWireProtocol.ExecuteQuery
Modifier and Type
Constant Field
Value
`public static final int`
`FORCE_FIELD_NUMBER`
`2`
`public static final int`
`FORCEREDIRECT_FIELD_NUMBER`
`3`
`public static final int`
`MAXNUMCLIENTTHREADS_FIELD_NUMBER`
`5`
`public static final int`
`MAXROWS_FIELD_NUMBER`
`6`
`public static final int`
`PERFORMANCEMODE_FIELD_NUMBER`
`4`
`public static final int`
`SQL_FIELD_NUMBER`
`1`
com.ocient.jdbc.proto.ClientWireProtocol.ExecuteQueryResponse
Modifier and Type
Constant Field
Value
`public static final int`
`ISBUFFERSEQUENCINGENABLED_FIELD_NUMBER`
`8`
`public static final int`
`ISUNSORTED_FIELD_NUMBER`
`7`
`public static final int`
`NUMCLIENTTHREADS_FIELD_NUMBER`
`6`
`public static final int`
`QUERYID_FIELD_NUMBER`
`5`
`public static final int`
`REDIRECT_FIELD_NUMBER`
`2`
`public static final int`
`REDIRECTHOST_FIELD_NUMBER`
`3`
`public static final int`
`REDIRECTPORT_FIELD_NUMBER`
`4`
`public static final int`
`RESPONSE_FIELD_NUMBER`
`1`
com.ocient.jdbc.proto.ClientWireProtocol.ExecuteUpdate
Modifier and Type
Constant Field
Value
`public static final int`
`ASYNC_FIELD_NUMBER`
`3`
`public static final int`
`FORCE_FIELD_NUMBER`
`2`
`public static final int`
`SQL_FIELD_NUMBER`
`1`
com.ocient.jdbc.proto.ClientWireProtocol.ExecuteUpdateResponse
Modifier and Type
Constant Field
Value
`public static final int`
`QUERYID_FIELD_NUMBER`
`6`
`public static final int`
`REDIRECT_FIELD_NUMBER`
`3`
`public static final int`
`REDIRECTHOST_FIELD_NUMBER`
`4`
`public static final int`
`REDIRECTPORT_FIELD_NUMBER`
`5`
`public static final int`
`RESPONSE_FIELD_NUMBER`
`1`
`public static final int`
`UPDATEROWCOUNT_FIELD_NUMBER`
`2`
`public static final int`
`UPDATEROWCOUNTLONG_FIELD_NUMBER`
`7`
com.ocient.jdbc.proto.ClientWireProtocol.ExplainFormat
Modifier and Type
Constant Field
Value
`public static final int`
`DEBUG_VALUE`
`2`
`public static final int`
`JSON_VALUE`
`1`
`public static final int`
`PROTO_VALUE`
`0`
com.ocient.jdbc.proto.ClientWireProtocol.ExplainPipelineRequest
Modifier and Type
Constant Field
Value
`public static final int`
`FORCE_FIELD_NUMBER`
`2`
`public static final int`
`SQL_FIELD_NUMBER`
`1`
com.ocient.jdbc.proto.ClientWireProtocol.ExplainPipelineResponse
Modifier and Type
Constant Field
Value
`public static final int`
`PIPELINESTATEMENT_FIELD_NUMBER`
`2`
`public static final int`
`REDIRECT_FIELD_NUMBER`
`3`
`public static final int`
`REDIRECTHOST_FIELD_NUMBER`
`4`
`public static final int`
`REDIRECTPORT_FIELD_NUMBER`
`5`
`public static final int`
`RESPONSE_FIELD_NUMBER`
`1`
com.ocient.jdbc.proto.ClientWireProtocol.ExplainPlan
Modifier and Type
Constant Field
Value
`public static final int`
`FORCE_FIELD_NUMBER`
`2`
`public static final int`
`FORMAT_FIELD_NUMBER`
`3`
`public static final int`
`SQL_FIELD_NUMBER`
`1`
com.ocient.jdbc.proto.ClientWireProtocol.ExplainResponseStringPlan
Modifier and Type
Constant Field
Value
`public static final int`
`PLAN_FIELD_NUMBER`
`2`
`public static final int`
`QUERYID_FIELD_NUMBER`
`6`
`public static final int`
`REDIRECT_FIELD_NUMBER`
`3`
`public static final int`
`REDIRECTHOST_FIELD_NUMBER`
`4`
`public static final int`
`REDIRECTPORT_FIELD_NUMBER`
`5`
`public static final int`
`RESPONSE_FIELD_NUMBER`
`1`
com.ocient.jdbc.proto.ClientWireProtocol.FetchAuthenticators
Modifier and Type
Constant Field
Value
`public static final int`
`DATABASE_FIELD_NUMBER`
`1`
com.ocient.jdbc.proto.ClientWireProtocol.FetchAuthenticatorsResponse
Modifier and Type
Constant Field
Value
`public static final int`
`AUTHENTICATOR_FIELD_NUMBER`
`2`
`public static final int`
`RESPONSE_FIELD_NUMBER`
`1`
com.ocient.jdbc.proto.ClientWireProtocol.FetchData
Modifier and Type
Constant Field
Value
`public static final int`
`MAX_RESULT_SET_BUFFERS_FIELD_NUMBER`
`2`
com.ocient.jdbc.proto.ClientWireProtocol.FetchDataResponse
Modifier and Type
Constant Field
Value
`public static final int`
`RESPONSE_FIELD_NUMBER`
`1`
`public static final int`
`RESULT_SET_FIELD_NUMBER`
`2`
`public static final int`
`SHOULD_RETRY_FIELD_NUMBER`
`3`
com.ocient.jdbc.proto.ClientWireProtocol.FetchMetadataResponse
Modifier and Type
Constant Field
Value
`public static final int`
`COLS2POS_FIELD_NUMBER`
`2`
`public static final int`
`COLS2TYPES_FIELD_NUMBER`
`3`
`public static final int`
`RESPONSE_FIELD_NUMBER`
`1`
com.ocient.jdbc.proto.ClientWireProtocol.FetchSystemMetadata
Modifier and Type
Constant Field
Value
`public static final int`
`CALL_FIELD_NUMBER`
`1`
`public static final int`
`COLUMN_FIELD_NUMBER`
`4`
`public static final int`
`SCHEMA_FIELD_NUMBER`
`2`
`public static final int`
`TABLE_FIELD_NUMBER`
`3`
`public static final int`
`TEST_FIELD_NUMBER`
`6`
`public static final int`
`VIEW_FIELD_NUMBER`
`5`
com.ocient.jdbc.proto.ClientWireProtocol.FetchSystemMetadata.SystemMetadataCall
Modifier and Type
Constant Field
Value
`public static final int`
`GET_COLUMN_PRIVILEGES_VALUE`
`16`
`public static final int`
`GET_COLUMNS_VALUE`
`3`
`public static final int`
`GET_DATABASE_MAJOR_VERSION_VALUE`
`12`
`public static final int`
`GET_DATABASE_MINOR_VERSION_VALUE`
`13`
`public static final int`
`GET_DATABASE_PRODUCT_VERSION_VALUE`
`11`
`public static final int`
`GET_INDEX_INFO_VALUE`
`4`
`public static final int`
`GET_NUMERIC_FUNCTIONS_VALUE`
`7`
`public static final int`
`GET_SCHEMAS_VALUE`
`1`
`public static final int`
`GET_SQL_KEYWORDS_VALUE`
`6`
`public static final int`
`GET_STRING_FUNCTIONS_VALUE`
`8`
`public static final int`
`GET_SYSTEM_FUNCTIONS_VALUE`
`10`
`public static final int`
`GET_SYSTEM_TABLES_VALUE`
`14`
`public static final int`
`GET_TABLE_PRIVILEGES_VALUE`
`15`
`public static final int`
`GET_TABLES_VALUE`
`2`
`public static final int`
`GET_TIME_DATE_FUNCTIONS_VALUE`
`9`
`public static final int`
`GET_TYPE_INFO_VALUE`
`5`
`public static final int`
`GET_VIEWS_VALUE`
`25`
`public static final int`
`INVALID_VALUE`
`0`
com.ocient.jdbc.proto.ClientWireProtocol.FetchSystemMetadataResponse
Modifier and Type
Constant Field
Value
`public static final int`
`INT_VAL_FIELD_NUMBER`
`4`
`public static final int`
`RESPONSE_FIELD_NUMBER`
`1`
`public static final int`
`RESULT_SET_VAL_FIELD_NUMBER`
`2`
`public static final int`
`STRING_VAL_FIELD_NUMBER`
`3`
com.ocient.jdbc.proto.ClientWireProtocol.FetchUpdateStatusResponse
Modifier and Type
Constant Field
Value
`public static final int`
`DONE_FIELD_NUMBER`
`2`
`public static final int`
`RESPONSE_FIELD_NUMBER`
`1`
`public static final int`
`ROWCOUNT_FIELD_NUMBER`
`3`
com.ocient.jdbc.proto.ClientWireProtocol.ForceExternal
Modifier and Type
Constant Field
Value
`public static final int`
`FORCE_FIELD_NUMBER`
`1`
com.ocient.jdbc.proto.ClientWireProtocol.GetSchemaResponse
Modifier and Type
Constant Field
Value
`public static final int`
`RESPONSE_FIELD_NUMBER`
`1`
`public static final int`
`SCHEMA_FIELD_NUMBER`
`2`
com.ocient.jdbc.proto.ClientWireProtocol.KillQuery
Modifier and Type
Constant Field
Value
`public static final int`
`SQL_FIELD_NUMBER`
`1`
com.ocient.jdbc.proto.ClientWireProtocol.KillQueryResponse
Modifier and Type
Constant Field
Value
`public static final int`
`RESPONSE_FIELD_NUMBER`
`1`
com.ocient.jdbc.proto.ClientWireProtocol.ListPlanResponse
Modifier and Type
Constant Field
Value
`public static final int`
`PLANNAME_FIELD_NUMBER`
`2`
`public static final int`
`REDIRECT_FIELD_NUMBER`
`3`
`public static final int`
`REDIRECTHOST_FIELD_NUMBER`
`4`
`public static final int`
`REDIRECTPORT_FIELD_NUMBER`
`5`
`public static final int`
`RESPONSE_FIELD_NUMBER`
`1`
com.ocient.jdbc.proto.ClientWireProtocol.OpenIDAuthenticator
Modifier and Type
Constant Field
Value
`public static final int`
`CLIENTID_FIELD_NUMBER`
`2`
`public static final int`
`DISABLED_FIELD_NUMBER`
`4`
`public static final int`
`IDENTITYPROVIDER_FIELD_NUMBER`
`5`
`public static final int`
`ISSUER_FIELD_NUMBER`
`1`
`public static final int`
`SCOPE_FIELD_NUMBER`
`3`
com.ocient.jdbc.proto.ClientWireProtocol.PerformanceMode
Modifier and Type
Constant Field
Value
`public static final int`
`OFF_VALUE`
`0`
`public static final int`
`ROOT_OP_INST_DISCARD_VALUE`
`1`
com.ocient.jdbc.proto.ClientWireProtocol.QueryConcurrencyResponse
Modifier and Type
Constant Field
Value
`public static final int`
`RESPONSE_FIELD_NUMBER`
`1`
com.ocient.jdbc.proto.ClientWireProtocol.Request
Modifier and Type
Constant Field
Value
`public static final int`
`ATTACH_TO_QUERY_FIELD_NUMBER`
`30`
`public static final int`
`CANCEL_QUERY_FIELD_NUMBER`
`17`
`public static final int`
`CLIENT_CONNECTION_FIELD_NUMBER`
`2`
`public static final int`
`CLIENT_CONNECTION_GCM_FIELD_NUMBER`
`37`
`public static final int`
`CLIENT_CONNECTION_GCM2_FIELD_NUMBER`
`38`
`public static final int`
`CLIENT_CONNECTION_REFRESH_SESSION_FIELD_NUMBER`
`45`
`public static final int`
`CLIENT_CONNECTION_REFRESH_TOKEN_FIELD_NUMBER`
`46`
`public static final int`
`CLIENT_CONNECTION_SECURITY_TOKEN_FIELD_NUMBER`
`44`
`public static final int`
`CLIENT_CONNECTION_SSO_FIELD_NUMBER`
`42`
`public static final int`
`CLIENT_CONNECTION_SSO2_FIELD_NUMBER`
`43`
`public static final int`
`CLIENT_CONNECTION2_FIELD_NUMBER`
`3`
`public static final int`
`CLOSE_CONNECTION_FIELD_NUMBER`
`5`
`public static final int`
`CLOSE_RESULT_SET_FIELD_NUMBER`
`10`
`public static final int`
`EXECUTE_EXPLAIN_FIELD_NUMBER`
`12`
`public static final int`
`EXECUTE_EXPLAIN_FOR_SPARK_FIELD_NUMBER`
`13`
`public static final int`
`EXECUTE_EXPORT_FIELD_NUMBER`
`26`
`public static final int`
`EXECUTE_INLINE_PLAN_FIELD_NUMBER`
`24`
`public static final int`
`EXECUTE_PLAN_FIELD_NUMBER`
`20`
`public static final int`
`EXECUTE_QUERY_FIELD_NUMBER`
`11`
`public static final int`
`EXECUTE_UPDATE_FIELD_NUMBER`
`14`
`public static final int`
`EXPLAIN_PIPELINE_FIELD_NUMBER`
`36`
`public static final int`
`EXPLAIN_PLAN_FIELD_NUMBER`
`21`
`public static final int`
`FETCH_AUTHENTICATORS_FIELD_NUMBER`
`51`
`public static final int`
`FETCH_DATA_FIELD_NUMBER`
`8`
`public static final int`
`FETCH_METADATA_FIELD_NUMBER`
`9`
`public static final int`
`FETCH_SYSTEM_METADATA_FIELD_NUMBER`
`16`
`public static final int`
`FETCH_UPDATE_STATUS_FIELD_NUMBER`
`47`
`public static final int`
`FORCE_EXTERNAL_FIELD_NUMBER`
`25`
`public static final int`
`GET_SCHEMA_FIELD_NUMBER`
`4`
`public static final int`
`KILL_QUERY_FIELD_NUMBER`
`23`
`public static final int`
`LIST_PLAN_FIELD_NUMBER`
`22`
`public static final int`
`SET_PARAMETER_FIELD_NUMBER`
`35`
`public static final int`
`SET_SCHEMA_FIELD_NUMBER`
`6`
`public static final int`
`TEST_CONNECTION_FIELD_NUMBER`
`7`
`public static final int`
`TYPE_FIELD_NUMBER`
`1`
com.ocient.jdbc.proto.ClientWireProtocol.Request.RequestType
Modifier and Type
Constant Field
Value
`public static final int`
`ATTACH_TO_QUERY_VALUE`
`29`
`public static final int`
`CANCEL_QUERY_VALUE`
`16`
`public static final int`
`CLIENT_CONNECTION_GCM_VALUE`
`36`
`public static final int`
`CLIENT_CONNECTION_GCM2_VALUE`
`37`
`public static final int`
`CLIENT_CONNECTION_REFRESH_SESSION_VALUE`
`44`
`public static final int`
`CLIENT_CONNECTION_REFRESH_TOKEN_VALUE`
`45`
`public static final int`
`CLIENT_CONNECTION_SECURITY_TOKEN_VALUE`
`43`
`public static final int`
`CLIENT_CONNECTION_SSO_VALUE`
`41`
`public static final int`
`CLIENT_CONNECTION_SSO2_VALUE`
`42`
`public static final int`
`CLIENT_CONNECTION_VALUE`
`1`
`public static final int`
`CLIENT_CONNECTION2_VALUE`
`2`
`public static final int`
`CLOSE_CONNECTION_VALUE`
`4`
`public static final int`
`CLOSE_RESULT_SET_VALUE`
`9`
`public static final int`
`EXECUTE_EXPLAIN_FOR_SPARK_VALUE`
`12`
`public static final int`
`EXECUTE_EXPLAIN_VALUE`
`11`
`public static final int`
`EXECUTE_EXPORT_VALUE`
`25`
`public static final int`
`EXECUTE_INLINE_PLAN_VALUE`
`23`
`public static final int`
`EXECUTE_PLAN_VALUE`
`19`
`public static final int`
`EXECUTE_QUERY_VALUE`
`10`
`public static final int`
`EXECUTE_UPDATE_VALUE`
`13`
`public static final int`
`EXPLAIN_PIPELINE_VALUE`
`35`
`public static final int`
`EXPLAIN_PLAN_VALUE`
`20`
`public static final int`
`FETCH_AUTHENTICATORS_VALUE`
`50`
`public static final int`
`FETCH_DATA_VALUE`
`7`
`public static final int`
`FETCH_METADATA_VALUE`
`8`
`public static final int`
`FETCH_SYSTEM_METADATA_VALUE`
`15`
`public static final int`
`FETCH_UPDATE_STATUS_VALUE`
`46`
`public static final int`
`FORCE_EXTERNAL_VALUE`
`24`
`public static final int`
`GET_SCHEMA_VALUE`
`3`
`public static final int`
`INVALID_VALUE`
`0`
`public static final int`
`KILL_QUERY_VALUE`
`22`
`public static final int`
`LIST_PLAN_VALUE`
`21`
`public static final int`
`SET_PARAMETER_VALUE`
`34`
`public static final int`
`SET_SCHEMA_VALUE`
`5`
`public static final int`
`TEST_CONNECTION_VALUE`
`6`
com.ocient.jdbc.proto.ClientWireProtocol.ResultSet
Modifier and Type
Constant Field
Value
`public static final int`
`BLOBLENGTHS_FIELD_NUMBER`
`2`
`public static final int`
`BLOBS_FIELD_NUMBER`
`3`
`public static final int`
`NUMPARTS_FIELD_NUMBER`
`1`
`public static final int`
`SEQUENCENUMBERS_FIELD_NUMBER`
`4`
com.ocient.jdbc.proto.ClientWireProtocol.SecondaryInterfaceList
Modifier and Type
Constant Field
Value
`public static final int`
`ADDRESS_FIELD_NUMBER`
`1`
com.ocient.jdbc.proto.ClientWireProtocol.SecurityToken
Modifier and Type
Constant Field
Value
`public static final int`
`DATA_FIELD_NUMBER`
`1`
`public static final int`
`ISSUERFINGERPRINT_FIELD_NUMBER`
`3`
`public static final int`
`SIGNATURE_FIELD_NUMBER`
`2`
com.ocient.jdbc.proto.ClientWireProtocol.ServerSignal
Modifier and Type
Constant Field
Value
`public static final int`
`INVALID_VALUE`
`0`
`public static final int`
`QUIESCE_VALUE`
`-1`
com.ocient.jdbc.proto.ClientWireProtocol.ServerVersion
Modifier and Type
Constant Field
Value
`public static final int`
`MAJORSERVERVERSION_FIELD_NUMBER`
`1`
`public static final int`
`MINORSERVERVERSION_FIELD_NUMBER`
`2`
`public static final int`
`PATCHSERVERVERSION_FIELD_NUMBER`
`3`
com.ocient.jdbc.proto.ClientWireProtocol.SessionInfo
Modifier and Type
Constant Field
Value
`public static final int`
`SECURITYTOKEN_FIELD_NUMBER`
`2`
`public static final int`
`SERVERSESSIONID_FIELD_NUMBER`
`1`
com.ocient.jdbc.proto.ClientWireProtocol.SetParameter
Modifier and Type
Constant Field
Value
`public static final int`
`CONCURRENCY_FIELD_NUMBER`
`7`
`public static final int`
`FORCE_EXTERNAL_FIELD_NUMBER`
`10`
`public static final int`
`MEMORY_TRACING_FIELD_NUMBER`
`14`
`public static final int`
`PRIORITY_ADJUST_FACTOR_FIELD_NUMBER`
`11`
`public static final int`
`PRIORITY_ADJUST_TIME_FIELD_NUMBER`
`12`
`public static final int`
`PRIORITY_FIELD_NUMBER`
`6`
`public static final int`
`RESET_FIELD_NUMBER`
`1`
`public static final int`
`RESULT_SET_COLUMN_LIMIT_FIELD_NUMBER`
`9`
`public static final int`
`ROW_LIMIT_FIELD_NUMBER`
`3`
`public static final int`
`SERVICE_CLASS_NAME_FIELD_NUMBER`
`13`
`public static final int`
`TEMP_DISK_LIMIT_FIELD_NUMBER`
`5`
`public static final int`
`TIME_LIMIT_FIELD_NUMBER`
`4`
com.ocient.jdbc.proto.ClientWireProtocol.SetParameter.Concurrency
Modifier and Type
Constant Field
Value
`public static final int`
`CONCURRENCY_FIELD_NUMBER`
`1`
com.ocient.jdbc.proto.ClientWireProtocol.SetParameter.ForceExternal
Modifier and Type
Constant Field
Value
`public static final int`
`IS_ON_FIELD_NUMBER`
`1`
com.ocient.jdbc.proto.ClientWireProtocol.SetParameter.MaxTempDiskLimit
Modifier and Type
Constant Field
Value
`public static final int`
`TEMPDISKLIMIT_FIELD_NUMBER`
`1`
com.ocient.jdbc.proto.ClientWireProtocol.SetParameter.MemoryTracing
Modifier and Type
Constant Field
Value
`public static final int`
`IS_ON_FIELD_NUMBER`
`1`
com.ocient.jdbc.proto.ClientWireProtocol.SetParameter.Priority
Modifier and Type
Constant Field
Value
`public static final int`
`PRIORITY_FIELD_NUMBER`
`1`
com.ocient.jdbc.proto.ClientWireProtocol.SetParameter.PriorityAdjustFactor
Modifier and Type
Constant Field
Value
`public static final int`
`PRIORITY_ADJUST_FACTOR_FIELD_NUMBER`
`1`
com.ocient.jdbc.proto.ClientWireProtocol.SetParameter.PriorityAdjustTime
Modifier and Type
Constant Field
Value
`public static final int`
`PRIORITY_ADJUST_TIME_FIELD_NUMBER`
`1`
com.ocient.jdbc.proto.ClientWireProtocol.SetParameter.ResultSetColumnLimit
Modifier and Type
Constant Field
Value
`public static final int`
`RESULTSETCOLUMNLIMIT_FIELD_NUMBER`
`1`
com.ocient.jdbc.proto.ClientWireProtocol.SetParameter.RowLimit
Modifier and Type
Constant Field
Value
`public static final int`
`ROWLIMIT_FIELD_NUMBER`
`1`
com.ocient.jdbc.proto.ClientWireProtocol.SetParameter.ServiceClassName
Modifier and Type
Constant Field
Value
`public static final int`
`SERVICE_CLASS_NAME_FIELD_NUMBER`
`1`
com.ocient.jdbc.proto.ClientWireProtocol.SetParameter.TimeLimit
Modifier and Type
Constant Field
Value
`public static final int`
`TIMELIMIT_FIELD_NUMBER`
`1`
com.ocient.jdbc.proto.ClientWireProtocol.SetSchema
Modifier and Type
Constant Field
Value
`public static final int`
`SCHEMA_FIELD_NUMBER`
`1`